summaryrefslogtreecommitdiffstats
path: root/system/crelay
diff options
context:
space:
mode:
Diffstat (limited to 'system/crelay')
-rw-r--r--system/crelay/README6
-rw-r--r--system/crelay/crelay.SlackBuild104
-rw-r--r--system/crelay/crelay.info10
-rw-r--r--system/crelay/doinst.sh14
-rw-r--r--system/crelay/slack-desc19
5 files changed, 153 insertions, 0 deletions
diff --git a/system/crelay/README b/system/crelay/README
new file mode 100644
index 0000000000..70ebced57f
--- /dev/null
+++ b/system/crelay/README
@@ -0,0 +1,6 @@
+Command line and gui software for controlling usb relays
+
+The package includes an init script provided by the developers
+installed at /etc/rc.d/rc.crelayd, a sample config file at
+/etc/crelayd.conf and a sample Monit config stanza installed at
+/usr/share/docs/crelay/monit
diff --git a/system/crelay/crelay.SlackBuild b/system/crelay/crelay.SlackBuild
new file mode 100644
index 0000000000..fddda9de24
--- /dev/null
+++ b/system/crelay/crelay.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for crelay
+
+# Copyright 2022 Sebastian Arcus, UK
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=crelay
+VERSION=${VERSION:-0.14.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION/src
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+make
+mkdir -p $PKG/usr/bin
+cat crelay > $PKG/usr/bin/crelay
+chmod 0755 $PKG/usr/bin/crelay
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd ..
+cp -a LICENSE README.md HISTORY $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/rc.d
+cp -a init.d/crelayd $PKG/etc/rc.d/rc.crelayd
+cp -a conf/$PRGNAM.conf $PKG/etc/$PRGNAM.conf.new
+
+mkdir -p $PKG/etc/monit/
+cp -a monit/crelayd $PKG/etc/monit/crelayd
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/crelay/crelay.info b/system/crelay/crelay.info
new file mode 100644
index 0000000000..e580dd89db
--- /dev/null
+++ b/system/crelay/crelay.info
@@ -0,0 +1,10 @@
+PRGNAM="crelay"
+VERSION="0.14.1"
+HOMEPAGE="https://github.com/ondrej1024/crelay"
+DOWNLOAD="https://github.com/ondrej1024/crelay/archive/V0.14.1/crelay-0.14.1.tar.gz"
+MD5SUM="2539c8a6eed5e8901f605149cb2da233"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libftdi hidapi"
+MAINTAINER="Sebastian Arcus"
+EMAIL="s.arcus@open-t.co.uk"
diff --git a/system/crelay/doinst.sh b/system/crelay/doinst.sh
new file mode 100644
index 0000000000..9004ee8dfc
--- /dev/null
+++ b/system/crelay/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/crelay.conf.new
diff --git a/system/crelay/slack-desc b/system/crelay/slack-desc
new file mode 100644
index 0000000000..11cbe8ca9b
--- /dev/null
+++ b/system/crelay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+crelay: crelay (software for HID and FTDI usb relays)
+crelay:
+crelay: Command line and gui software for usb relays based on HID and FTDI
+crelay: compatible chips.
+crelay:
+crelay: Usage instructions at: https://github.com/ondrej1024/crelay
+crelay:
+crelay:
+crelay:
+crelay:
+crelay: